/* bboard.c: Shows the use of a BulletinBoard to      */
/* group a Label and a PushButton.                    */
/* Exits when button is pressed.                      */
/* Example program for the xmtutor application.       */
/* Author: Jan Borchers 2/93.                         */


#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <Xm/Xm.h>
#include <Xm/Label.h>
#include <Xm/PushB.h>
#include <Xm/BulletinB.h>


void ExitCB (Widget w, caddr_t client_data, XmAnyCallbackStruct *call_data)

{
  XtCloseDisplay (XtDisplay (w));
  exit (0);
}


void main(int argc, char *argv[])

{
  Widget toplevel, bulletinboard, label, exitbutton;

  toplevel = XtInitialize (argv [0], "Bboard", NULL, 0, &argc, argv);
  bulletinboard = XmCreateBulletinBoard (toplevel, "bulletinboard", NULL, 0);
  XtManageChild (bulletinboard);
  label = XmCreateLabel (bulletinboard, "label", NULL, 0);
  XtManageChild (label);
  exitbutton = XmCreatePushButton (bulletinboard, "exitbutton", NULL, 0);
  XtManageChild (exitbutton);

  XtAddCallback (exitbutton, XmNactivateCallback, (void *) ExitCB, NULL);
  
  XtRealizeWidget (toplevel);
  XtMainLoop ();
}
